classification
Title: Reorganize os docs for files/dirs/fds
Type: Stage: resolved
Components: Documentation Versions: Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Axel.Wegen, akuchling, benjamin.peterson, docs@python, eric.araujo, mikehoy, python-dev, serhiy.storchaka
Priority: low Keywords: easy, patch

Created on 2011-08-09 14:41 by benjamin.peterson, last changed 2013-06-29 21:44 by akuchling. This issue is now closed.

Files
File name Uploaded Description Edit
issue141820-function-fchmod.diff mikehoy, 2012-08-22 11:50 review
Messages (8)
msg141820 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2011-08-09 14:41
Right now many of the os function docs are split up into "Files and directories" and "file descriptor operations". This means, for example, that fchmod() and fchmodat() are in a different section than chmod(). It would make more sense to organize the docs such that functions that do the same thing are right next to each other.
msg141833 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2011-08-09 16:42
Also, symbolic constants should be close to the functions they are used in. For example, open() flags shouldn't be in their own section.
msg141969 - (view) Author: √Čric Araujo (eric.araujo) * (Python committer) Date: 2011-08-12 16:20
+1
msg168871 - (view) Author: Mike Hoy (mikehoy) * Date: 2012-08-22 11:50
I was attempting to create a patch for this but all I have is moving fchmod() below chmod(). I was unable to find fchmodat() in os.rst. And I need further clarification on 

>>Also, symbolic constants should be close to the functions they are used >>in. For example, open() flags shouldn't be in their own section.
msg191591 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2013-06-21 15:02
Mike Hoy: a later patch (http://bugs.python.org/issue14626) changed the API in the os module so that the wrappers for *at() functions went away; fchmod() now takes several different forms of argument and calls the correct function under the hood.
msg191593 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-06-21 15:50
New changeset 88edac3bc2fc by Andrew Kuchling in branch 'default':
#12716: reorganize docs for os module a bit
http://hg.python.org/cpython/rev/88edac3bc2fc
msg191594 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2013-06-21 15:51
I didn't see any other constants that aren't close to the function they're used with.  Can this issue be closed, or are there other changes to make?
msg192048 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2013-06-29 21:44
Closing this issue after a week.  Mike Hoy: thanks for your patch.
History
Date User Action Args
2013-06-29 21:44:17akuchlingsetstatus: open -> closed
resolution: fixed
messages: + msg192048

stage: resolved
2013-06-21 15:51:48akuchlingsetmessages: + msg191594
2013-06-21 15:50:14python-devsetnosy: + python-dev
messages: + msg191593
2013-06-21 15:02:04akuchlingsetnosy: + akuchling
messages: + msg191591
2012-08-22 11:50:22mikehoysetfiles: + issue141820-function-fchmod.diff

nosy: + mikehoy
messages: + msg168871

keywords: + patch
2012-07-03 00:33:56Axel.Wegensetnosy: + Axel.Wegen
2012-05-28 10:07:56serhiy.storchakasetnosy: + serhiy.storchaka
2011-08-12 16:20:29eric.araujosetnosy: + eric.araujo
messages: + msg141969
2011-08-09 16:42:51benjamin.petersonsetmessages: + msg141833
2011-08-09 14:41:44benjamin.petersoncreate